﻿using System.IO;
using Lucene.Linq.Storage.EntityFramework;
using Lucene.Linq.Search;

namespace Lucene.Linq.Demo
{
    public partial class NorthwindIndexContext : DatabaseIndexSet<NorthwindDataContext>
    {
        #region Fields

        #endregion

        #region Extension Methods

        partial void OnCreated();

        #endregion

        #region Constructors

        public NorthwindIndexContext(NorthwindDataContext database)
            : base(database)
        {
            OnCreated();
        }

        public NorthwindIndexContext(DirectoryInfo directory, NorthwindDataContext database)
            : base(directory, database)
        {
            OnCreated();
        }

        public NorthwindIndexContext(string path, NorthwindDataContext database)
            : base(path, database)
        {
            OnCreated();
        }

        #endregion

        #region Properties

        public IIndex<Customer> Customers
        {
            get { return Get<Customer>(); }
        }

        public IIndex<Order> Orders
        {
            get { return Get<Order>(); }
        }

        #endregion

        #region Methods

        #endregion
    }
}