﻿using System.Linq.Expressions;

namespace Lucene.Linq.Expressions
{
    internal class ElementAtExpression : ProjectionExpression
    {
        public ElementAtExpression(ProjectionExpression proj, Expression indexExpression)
            : base(proj.Source, proj.Projector)
        {
            Index = indexExpression;
        }

        internal Expression Index { get; private set; }
    }
}