﻿using System.Linq.Expressions;

namespace Lucene.Linq.Expressions
{
    internal class FieldDeclaration
    {
        private readonly Expression _expression;
        private readonly string _name;

        internal FieldDeclaration(string name, Expression expression)
        {
            _name = name;
            _expression = expression;
        }

        internal string Name
        {
            get { return _name; }
        }

        internal Expression Expression
        {
            get { return _expression; }
        }
    }
}