﻿using System;

namespace Lucene.Linq.Mapping
{
    /// <summary>
    /// Document Metadata pointing attribute
    /// </summary>
    [Obsolete("class type moved to DocumentAttribute instead", true)]
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = false)]
    public sealed class DocumentMetadataAttribute : Attribute
    {
        private readonly Type _metadataClassType;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="metadataClassType"></param>
        public DocumentMetadataAttribute(Type metadataClassType)
        {
            _metadataClassType = metadataClassType;
        }

        /// <summary>
        /// 
        /// </summary>
        public Type MetadataClassType
        {
            get { return _metadataClassType; }
        }
    }
}