﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;

namespace Lucene.Linq.Mapping
{
    /// <summary>
    /// 
    /// </summary>
    public abstract class DocumentProjection
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="fieldName"></param>
        /// <param name="fieldType"></param>
        /// <returns></returns>
        public abstract object GetValue(string fieldName, Type fieldType);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="query"></param>
        /// <typeparam name="TE"></typeparam>
        /// <returns></returns>
        public abstract IEnumerable<TE> ExecuteSubQuery<TE>(LambdaExpression query);
    }
}