﻿using Lucene.Linq.Search;

namespace Lucene.Linq.Storage
{
    /// <summary>
    /// Base class for entity storage
    /// </summary>
    public interface IEntity : IIndexable
    {
        /// <summary>
        /// Content type for entity
        /// </summary>
        string ContentType { get; set; }

        /// <summary>
        /// Key of entity
        /// </summary>
        string Key { get; set;  }
    }
}
