﻿using System.Linq.Expressions;

namespace Lucene.Linq.Utility
{
    internal static class ExpressionHelper
    {
        internal static Expression StripQuotes(this Expression e)
        {
            while (e.NodeType == ExpressionType.Quote)
            {
                e = ((UnaryExpression) e).Operand;
            }

            return e;
        }
    }
}