using System;
using System.Collections.Generic;

namespace Lucene.Linq.Demo2
{
    internal class CountryComparer : IEqualityComparer<Country>
    {
        public bool Equals(Country x, Country y)
        {
            return x.Name.Equals(y.Name, StringComparison.CurrentCultureIgnoreCase);
        }

        public int GetHashCode(Country obj)
        {
            return obj.GetHashCode();
        }
    }
}