﻿using System.Linq.Expressions;

namespace Lucene.Linq.Expressions
{
    ///<summary>
    /// LINQ Expression to Search Query
    ///</summary>
    public interface IQueryTranslator
    {
        ///<summary>Translate the Linq Expression into a Lucene Querysummary</summary>
        ///<param name="expression">The expression to translate</param>
        ///<returns>The Lucene.Net Query</returns>
        ISearchQuery Translate(Expression expression);
    }
}