﻿using System;
using System.Linq.Expressions;

namespace Lucene.Linq.Expressions
{
    internal class IndexExpression : Expression
    {
        private readonly string _alias;
        private readonly string _name;

        internal IndexExpression(Type type, string alias, string name)
            : base((ExpressionType) LuceneExpressionType.Index, type)
        {
            _alias = alias;
            _name = name;
        }


        internal string Alias
        {
            get { return _alias; }
        }

        internal string Name
        {
            get { return _name; }
        }
    }
}