using Lucene.Linq.Mapping;

namespace Lucene.Linq.Expressions
{
    internal class OrderByInfo
    {
        private readonly FieldDetails _fieldDetails;
        private readonly bool _isDescending;

        public OrderByInfo(FieldDetails fieldDetails, bool isDescending)
        {
            _fieldDetails = fieldDetails;
            _isDescending = isDescending;
        }

        public FieldDetails Field
        {
            get { return _fieldDetails; }
        }

        public bool IsDescending
        {
            get { return _isDescending; }
        }
    }
}