﻿using System;

namespace Lucene.Linq.Mapping
{
    /// <summary>
    /// Describes a class mapping of an index
    /// </summary>
    public class IndexDetails
    {
        /// <summary>
        /// Ctor
        /// </summary>
        public IndexDetails(DocumentDetails documentDetails)
        {
            if (documentDetails == null) throw new ArgumentNullException("documentDetails");

            Document = documentDetails;
        }

        /// <summary>
        /// 
        /// </summary>
        public DocumentDetails Document { get; private set; }
    }
}